Bug 738152 - Unable to register through rhn_register. Throws error class 70 error.
Summary: Unable to register through rhn_register. Throws error class 70 error.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.1
Hardware: ppc64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 07:24 UTC by Bejoy C Alias
Modified: 2012-12-07 09:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-07 09:37:02 UTC


Attachments (Terms of Use)
Error class 70 (166.30 KB, image/png)
2012-12-06 10:01 UTC, Varun
no flags Details
rhn registration error (166.30 KB, image/png)
2012-12-07 08:13 UTC, Varun
no flags Details

Description Bejoy C Alias 2011-09-14 07:24:44 UTC
Description of problem:
I am trying to register my RHEL 6.1 systems through rhn_register using my account 'bejoycalias'. But it gives the error "All available subscriptions for the requested channel have been exhausted". I have 9 active subscriptions, but it throws this error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Milan Zázrivec 2011-09-14 08:34:30 UTC
There's not much we can do about the problem described in the initial
comment. The message you're seeing is sent from the server side (Red Hat
Network / RHN Satellite) and simply says that you have exhausted all
your available subscriptions for the requested channel.

In this situation you may want to delete inactive / duplicate system
profiles in RHN webui.

Thank you.

Comment 3 Bejoy C Alias 2011-09-15 14:19:22 UTC
But this is my 1st System I am trying to register for my subscriptions. I do not have any other systems registered for my subscriptions.

Comment 4 Milan Zázrivec 2011-09-15 14:40:32 UTC
You may have only one system, though what I meant in comment #2 was
that this one system might have been registered in the past w/ RHN
and its every registration might have consumed an entitlement, thus
creating duplicated profiles for this one system. In this case, deleting
the duplicated profiles in webui would resolve your problem.

If that's not the case (which I gather it isn't), and you bought subscriptions
which you cannot consume, my recommendation is to contact Red Hat Support
with this problem.

As much as I'd like to help, I probably won't be able to resolve this issue
in Red Hat Bugzilla seeing that:
1. This is very unlikely a problem in the registration code: the message you're
seeing is returned from the server side based on the data it has about
the account provided
2. I don't have access to customer information (the account info & the data
about available subscriptions).

Thank you.

Comment 5 RHEL Product and Program Management 2011-10-07 16:04:25 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 6 Varun 2012-12-06 10:01:55 UTC
Created attachment 658628 [details]
Error class 70

this image show the received error upon proceeding with the rhn registration.

Comment 7 Varun 2012-12-06 10:05:28 UTC
i would also like to add the following information.
   I am also registering the current system i am working with for the first time. It was delivered to me for my work immediately after the installation. The above image displays the error we receive on proceeding with the registration. Thank You.

Comment 8 Varun 2012-12-07 08:13:36 UTC
Created attachment 659231 [details]
rhn registration error

Summary:
 
  An error message of "Error Class Code: 70" appears when proceeding from the "System Name and Profile Data" page in the rhn registration form in Red hat Linux 6.

Reproductive state:

Always

Steps for reproduction of the defect:

1. After booting of the system open the Terminal.
2. After the terminal appears enter the command su then enter the password to enable the administrator.
3. Enter the command "rhn_register" to open the rhn network registration form.
4. After the form appears enter the details as per the information giver in the form and proceed to the "System Name and Profile Date" page.
5. Click on the Forward button and observe.

Expected Result:

The form should proceed to the next page.

Actual Result:

an error message of "Error Class Code: 70" appears.

Note:
1. This defect is observed even for different usernames.
2. Image attached

Comment 9 Milan Zázrivec 2012-12-07 09:37:02 UTC
The problems / screenshots shown in this report are not a bug
in rhn-client-tools or the client registration tool.

The error message telling all available subscriptions are exhausted comes
from server side (i.e. Red Hat Network) and there's not much the registration
tools can do about this but show it.

I'm closing this report, since there's no bug to fix really.

May I suggest to contact Red Hat Support at http://access.redhat.com
with this problem asking for a resolution?


Note You need to log in before you can comment on or make changes to this bug.